From e743814bcbe3bce10e559d13f21b0be91e298813 Mon Sep 17 00:00:00 2001
From: Jason Masker <jason@masker.net>
Date: Sun, 14 Dec 2014 20:53:35 -0500
Subject: [PATCH] update zconf.gperf to conditionally define offsetof

Signed-off-by: Jason Masker <jason@masker.net>
---
 kconfig/zconf.gperf | 9 +++++++++
 1 file changed, 9 insertions(+)

diff --git a/kconfig/zconf.gperf b/kconfig/zconf.gperf
index c9e690e..d758a2a 100644
--- a/kconfig/zconf.gperf
+++ b/kconfig/zconf.gperf
@@ -7,6 +7,15 @@
 %pic
 %struct-type
 
+%{
+# ifndef offsetof
+#  include <stddef.h>
+#  ifndef offsetof
+#   define offsetof(st, m) ((size_t)(&((st *)0)->m))
+#  endif
+# endif
+%}
+
 struct kconf_id;
 
 static struct kconf_id *kconf_id_lookup(register const char *str, register unsigned int len);
-- 
2.2.0

